Description
Every plugin has 2 options like this:

——[no-]enable-foreman-plugin-remote-execution Enable 'foreman_plugin_remote_execution' puppet
module (default: false)

——foreman-proxy-plugin-remote-execution-ssh-enabled Enables/disables the plugin (default: tru
e)

The former is really the one to use to actually enabling the plugin, the latter only triggers the .yml config enable option.

It's very confusing for end users who probably see the second option first as it's near the end of the --help.

Related issues:
Related to Installer - Feature #9308: Add hooks to enable multiple plugin par... New 02/10/2015

Associated revisions

Revision 9a23ee14 - 07/01/2016 04:19 PM - Stephen Benjamin

fixes #15556 - move some params to advanced (#264)

This reduces the amount of default help text and confusing options for
plugins. This is especially confusing for 'enabled' as there are 2
options:

--[no-]Jenable-foreman-proxy-plugin-remote-execution-ssh

--foreman-proxy-plugin-remote-execution-ssh-enabled

The former REALLY enables the plugin, the latter is only controlling
the value in the .yml configuration which has a sane default value.
We should hide this, and some of the other options like “listen_on’,
“group’, etc which probably don't need changing ever.

History

#1 - 06/30/2016 02:56 PM - Stephen Benjamin
- Related to Feature #9308: Add hooks to enable multiple plugin parameters for plugins added

#2 - 06/30/2016 02:56 PM - Stephen Benjamin
Maybe something that could be solved by #93087?

#3 - 07/01/2016 03:02 AM - Dominic Cleal

The enable parameter could be put into an "Advanced" documentation group so it doesn't usually show up in the help output.

#4 - 07/01/2016 07:29 AM - Stephen Benjamin
- Bugzilla link set to 1352003
https://projects.theforeman.org/issues/9308

#5 - 07/01/2016 07:46 AM - Stephen Benjamin
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/264 added

#6 - 07/01/2016 05:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|9a23ee14413400bfa7f0e6216fd8aeb14aaai667.

#7 - 07/04/2016 05:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#8 - 06/25/2018 06:58 PM - The Foreman Bot
- Assignee set to Julian Todt

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/434 added

#9 - 07/13/2018 12:46 PM - Ewoud Kohl van Wijngaarden

- Assignee changed from Julian Todt to Stephen Benjamin

- Triaged set to No

- Pull request deleted (https://github.com/theforeman/puppet-foreman_proxy/pull/434)
